/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.materialmodule.activiti.service;

import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.EngineeringAmount;
import com.jeeplus.modules.sg.managementcenter.constructionProject.entity.ConstructionProject;
import com.jeeplus.modules.sg.materialmodule.activiti.entity.MaterialModule;
import com.jeeplus.modules.sg.materialmodule.activiti.entity.NonPower;
import com.jeeplus.modules.sg.materialmodule.activiti.mapper.MaterialModuleMapper;
import com.jeeplus.modules.sg.materialmodule.activiti.mapper.NonPowerMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;

/**
 * 请假表单Service
 *
 * @author lgf
 * @version 2018-06-12
 */
@Service
@Transactional(readOnly = true)
public class NonPowerService extends CrudService<NonPowerMapper, NonPower> {
    @Autowired
    private NonPowerMapper nonPowerMapper;

    @Override
    public NonPower get(String id) {
        return super.get(id);
    }

    /**
     * 通过项目需求名称查询所有的施工交底土建信息
     * */
    public List<EngineeringAmount> findCivilWorks(String reserveProjectName) {
        return nonPowerMapper.findCivilWorks(reserveProjectName);
    }

    /**
     * 修改土建开工报告信息
     */
    @Transactional(readOnly = false)
    public void updateStart(NonPower nonPower) {
        nonPowerMapper.updateStart(nonPower);
    }

    /**
     * 修改土建竣工报告信息
     */
    @Transactional(readOnly = false)
    public void updateEnd(NonPower nonPower) {
        nonPowerMapper.updateEnd(nonPower);
    }
}